# https://github.com/rawstudio/rawstudio/commit/c140a5eb64901e07db5190db20f9884e86e5dcae
%global forgeurl0 https://github.com/rawstudio/rawstudio
%global commit0 58a89591ffb46c30c3baa7fa4858a00479159f75

# https://github.com/klauspost/rawspeed/commit/5f73d8b84273c02c3e675c4963c94299be4ccc91
%global forgeurl1 https://github.com/klauspost/rawspeed/
%global commit1 5f73d8b84273c02c3e675c4963c94299be4ccc91

# https://github.com/darktable-org/rawspeedcommit/c753388b096e31f276730ee9b21a9389ca291c7b
%global forgeurl2 https://github.com/darktable-org/rawspeed
%global commit2 c753388b096e31f276730ee9b21a9389ca291c7b

%forgemeta -a

Name:           rawstudio
Version:        2.1
Release:        %autorelease
Summary:        Read, manipulate and convert digital camera raw images

License:        GPLv2+
URL:            http://rawstudio.org

Source:         %{forgesource0}
# cd plugins/load-rawspeed/rawspeed
Source:         %{forgesource1}
Source:         %{forgesource2}
Patch:          https://github.com/sergiomb2/rawstudio/compare/master...load-dcraw_9.28.patch
Patch:          0001-Fix-build-with-exiv2-0.28.0.patch

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  gettext-devel
BuildRequires:  gphoto2-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(exiv2)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(lensfun)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(sqlite3)
# rawstudio disabled support for osm-gps-map
# BuildRequires:  pkgconnfig(osmgpsmap-1.0)

Provides:       bundled(ufraw) = 0.23

Requires:       librawstudio%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}

%description
Rawstudio is a highly specialized application for processing RAW images
from digital cameras. It is not a fully featured image editing application.

The RAW format is often recommended to get the best quality out of digital
camera images.  The format is specific to cameras and cannot be read by most
image editing applications.

Rawstudio makes it possible to read and manipulate RAW images, experiment
with the controls to see how they affect the image, and finally export into
JPEG, PNG or TIF format images from most digital cameras.


%package -n     librawstudio-devel
Summary:        librawstudio development files
Requires:       librawstudio%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}

%description -n librawstudio-devel
Development files for rawstudio backend library


%package -n     librawstudio
Summary: Rawstudio backend library

%description -n librawstudio
Rawstudio backend library


%prep
%setup -q -a1 -a2 -n %{name}-%{commit0}
%autopatch -p1
rm -rfv plugins/load-rawspeed/rawspeed
mv rawspeed-%{commit1} plugins/load-rawspeed/rawspeed
rm -rfv plugins/load-rawspeed/rawspeed/data
mv rawspeed-%{commit2}/data plugins/load-rawspeed/rawspeed/data

%build
# autogen requires sources from git and works with git submodules
#./autogen.sh --no-configure
autoreconf -i

%configure --disable-static --enable-experimental --enable-maintainer-mode
%make_build

%install
%make_install
%find_lang %{name}

desktop-file-install \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --remove-category Application                           \
        --delete-original                                       \
        ${RPM_BUILD_ROOT}%{_datadir}/applications/rawstudio.desktop

%files -f %{name}.lang
%doc README.md NEWS AUTHORS
%license COPYING
%{_bindir}/rawstudio
%{_libdir}/rawstudio
%{_datadir}/rawstudio
%{_datadir}/rawspeed
%{_datadir}/pixmaps/rawstudio
%{_datadir}/applications/*rawstudio.desktop
%{_datadir}/icons/rawstudio.png
%{_datadir}/appdata/rawstudio.appdata.xml

%files -n librawstudio
%{_libdir}/librawstudio-%{version}.so

%files -n librawstudio-devel
%{_includedir}/rawstudio-%{version}
%{_libdir}/librawstudio.so
%{_libdir}/pkgconfig/rawstudio-%{version}.pc

%changelog
%autochangelog
